import Load from '../util/load'

const init = (el, binding, vnode) => {
  const params = binding.value || {}

  if (!params.hover) {
    el.onclick = () => {
      vnode.context.$bus.$emit(`dropdown:open:${binding.arg}`)
    }
  } else {
    el.onmouseenter = () => {
      vnode.context.$bus.$emit(`dropdown:open:${binding.arg}`)
    }
    el.onmouseleave = () => {
      vnode.context.$bus.$emit(`dropdown:close:${binding.arg}`)
    }
  }

  Load.call(vnode.context, () => {
    el.appendChild(
      document.getElementById(binding.arg)
    )
  })
}

const unbind = (el) => {
  el.removeAttribute('onclick')
  el.removeAttribute('onmouseenter')
  el.removeAttribute('onmouseleave')
}

export default {
  bind (el, binding, vnode) {
    init(el, binding, vnode)
  },

  update (el, binding, vnode) {
    unbind(el)
    init(el, binding, vnode)
  }
}