require('!style!css!stylus!./assets/styles/main.styl')

import Vue from 'vue'
import App from './App.vue'
import Bus from './util/bus'
import Components from './components/_index'
import Functional from './components/functional/_index'
import Directives from './directives/_index'
import Content from './components/functional/_index'

function plugin(Vue) {
  for (let key in Components) {
    Vue.component(key, Components[key])
  }

  for (let key in Functional) {
    Vue.component(key, Functional[key])
  }

  for (let key in Directives) {
    Vue.directive(key, Directives[key])
  }

  Vue.bus = Bus

  Object.defineProperties(Vue.prototype, {
    $bus: {
      get: () => Vue.bus
    }
  })
}

Vue.use(plugin)

new Vue({
  el: '#app',
  render: h => h(App)
})
